Bug 394784 - KMAIl 5.8.1: Reply to HTML-mail in text mode includes content from last mail
Summary: KMAIl 5.8.1: Reply to HTML-mail in text mode includes content from last mail
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: commands and actions (show other bugs)
Version: 5.8.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 418005 420696 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-05-28 08:53 UTC by Axel Braun
Modified: 2020-04-28 08:24 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Braun 2018-05-28 08:53:02 UTC
I have highlighted (marked with mouse) some Text in a HTML-Mail before I reply to it. That works, so far so good.
Now replying to the next HTML mail in Text-mode (HTML-reply not enabled).
Result: content of previous mail is in reply
Expected result: Content of current mail is in reply.
Workaround: Mark text to reply
Comment 1 Axel Braun 2020-01-21 20:14:53 UTC
Still an issue in 5.13.1
Not restricted to HTML-mails. A 'reply' just uses the content of the clipboard, from the last mail....
Comment 2 Laurent Montel 2020-01-22 06:13:18 UTC
Git commit 22482e3299e3f6a7e5f4e7f995183054044500ba by Laurent Montel.
Committed on 22/01/2020 at 06:12.
Pushed by mlaurent into branch 'release/19.12'.

Disable reply with quote text as this bug is back in qt5.14.x

M  +2    -0    messagecomposer/src/helper/messagefactoryreplyjob.cpp

https://commits.kde.org/messagelib/22482e3299e3f6a7e5f4e7f995183054044500ba
Comment 3 Laurent Montel 2020-01-22 09:37:22 UTC
it's a qtwebengine bug
I reported it:
https://bugreports.qt.io/browse/QTBUG-81574
Comment 4 Laurent Montel 2020-01-22 10:03:29 UTC
I created a patch for this bug.
Now we need to wait that qt applies it.
Comment 5 Axel Braun 2020-01-22 16:33:39 UTC
(In reply to Laurent Montel from comment #4)
> I created a patch for this bug.

Thank you!
Comment 6 Rigo Wenning 2020-03-03 07:35:47 UTC
confirmed from here. Marking text and only having that text in the reply was handy and does not work anymore. kontact 13.2 in opensuse tumbleweed 20200229
Comment 7 Laurent Montel 2020-03-03 10:46:42 UTC
(In reply to Rigo Wenning from comment #6)
> confirmed from here. Marking text and only having that text in the reply was
> handy and does not work anymore. kontact 13.2 in opensuse tumbleweed 20200229

normal there is a bug in qtwebengine < 5.14.2 when we don't clear selection so we can reply with previous selection text. So I disabled it.
Comment 8 Wolfgang Bauer 2020-03-05 09:51:53 UTC
*** Bug 418005 has been marked as a duplicate of this bug. ***
Comment 9 Peter Humphrey 2020-03-31 16:46:55 UTC
(In reply to Laurent Montel from comment #7)
> (In reply to Rigo Wenning from comment #6)
> > confirmed from here. Marking text and only having that text in the reply was
> > handy and does not work anymore. kontact 13.2 in opensuse tumbleweed 20200229
> 
> normal there is a bug in qtwebengine < 5.14.2 when we don't clear selection
> so we can reply with previous selection text. So I disabled it.

I don't understand. What did you disable? Is the previous behaviour restored?
Comment 10 Rigo Wenning 2020-03-31 17:05:02 UTC
I have KDE running with openSuSE Tumbleweed. This has currently kmail version 5.13.3 which corresponds to applications version 19.12.3. In this new version, the old behaviour is restored. So if you highlight text in an email and reply, only the highlighted text will be copied into the response email. And the bad behaviour described in this bug is gone.

This means IMHO, that this bug should be closed
Comment 11 Christoph Vogtländer 2020-03-31 20:24:47 UTC
I'm running Arch Linux also with KMail 5.13.3 (19.12.3) with Qt 5.14.1. The bug i still present. But, if the bug is related to the Qt version rather than to KMail this would explain this. Either OpenSUSE uses a newer Qt version or ships with a patch.

Would the problem be solved by simply compiling against Qt >= 5.14.2? Or are code changes needed? For the former case this would be up to the distribution to solve this by updating to a more recent Qt version. For the latter case something like "#if (QT_VERSION >= QT_VERSION_CHECK(5, 14, 2))" or similar would be required (and compiling against a new Qt version or course).
Comment 12 Rigo Wenning 2020-03-31 20:47:51 UTC
zypper if libQt5Core5 
Repository     : openSUSE:Tumbleweed         
Name           : libQt5Core5                 
Version        : 5.14.1-1.4                  
Arch           : x86_64                      
Vendor         : openSUSE

Perhaps they patched it. It was fixed with the latest update from 2020-03-25. In this new version there were a lot of KDEPIM fixes.
Comment 13 Wolfgang Bauer 2020-04-01 09:23:34 UTC
(In reply to Christoph Vogtländer from comment #11)
> if the bug is related to the Qt version rather
> than to KMail this would explain this. Either OpenSUSE uses a newer Qt
> version or ships with a patch.
Yes, openSUSE already contains a patch to fix the problem in QtWebEngine.
But the commit in comment#2 disables the feature for all versions above 5.14.0, so that needs to be reverted/adjusted as well.

OTOH, kdepim 5.14 (20.04) beta has the check removed again, so compiling that version would work too.
Comment 14 Wolfgang Bauer 2020-04-28 08:24:57 UTC
*** Bug 420696 has been marked as a duplicate of this bug. ***